#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	static_libs	# don't build static libraries
%bcond_without	vala		# do not build Vala API
#
Summary:	Framework for access to sources of multimedia content
Summary(pl.UTF-8):	Szkielet dostępu do źródeł treści multimedialnych
Name:		grilo
Version:	0.2.14
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/grilo/0.2/%{name}-%{version}.tar.xz
# Source0-md5:	fce7eba405ada20fefcb877d534d9d4f
Patch0:		%{name}-sh.patch
URL:		http://live.gnome.org/Grilo
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.43.1
BuildRequires:	gnome-common
BuildRequires:	gobject-introspection-devel >= 0.9
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	gtk-doc >= 1.10
BuildRequires:	intltool >= 0.40.0
BuildRequires:	liboauth-devel
BuildRequires:	libsoup-devel >= 2.34.0
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 2
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	totem-pl-parser-devel >= 3.4.1
%{?with_vala:BuildRequires:	vala >= 2:0.27.0}
BuildRequires:	xz
Requires:	glib2 >= 1:2.43.1
Requires:	libsoup >= 2.34.0
Requires:	totem-pl-parser >= 3.4.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Grilo is a framework that provides access to various sources of
multimedia content, using a pluggable system.

%description -l pl.UTF-8
Grilo to szkielet zapewniający dostęp do różnych źródeł treści
multimedialnych przy użyciu systemu wtyczek.

%package devel
Summary:	Header files for grilo libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek grilo
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.43.1
Requires:	libxml2-devel >= 2

%description devel
Header files for grilo libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek grilo.

%package static
Summary:	Static grilo libraries
Summary(pl.UTF-8):	Statyczne biblioteki grilo
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static grilo libraries.

%description static -l pl.UTF-8
Statyczne biblioteki grilo.

%package apidocs
Summary:	grilo API documentation
Summary(pl.UTF-8):	Dokumentacja API bibliotek grilo
Group:		Documentation

%description apidocs
API and internal documentation for grilo library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki grilo.

%package -n vala-grilo
Summary:	Vala API for grilo libraries
Summary(pl.UTF-8):	API języka Vala do bibliotek grilo
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.16.0

%description -n vala-grilo
Vala API for grilo libraries.

%description -n vala-grilo -l pl.UTF-8
API języka Vala do bibliotek grilo.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-debug \
	%{__enable_disable apidocs gtk-doc} \
	--disable-silent-rules \
	%{__enable_disable static_libs static} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/grilo-0.2

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/grilo-test-ui-0.2
%attr(755,root,root) %{_bindir}/grl-inspect-0.2
%attr(755,root,root) %{_bindir}/grl-launch-0.2
%attr(755,root,root) %{_libdir}/libgrilo-0.2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgrilo-0.2.so.1
%attr(755,root,root) %{_libdir}/libgrlnet-0.2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgrlnet-0.2.so.0
%attr(755,root,root) %{_libdir}/libgrlpls-0.2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgrlpls-0.2.so.0
%dir %{_libdir}/grilo-0.2
%{_libdir}/girepository-1.0/Grl-0.2.typelib
%{_libdir}/girepository-1.0/GrlNet-0.2.typelib
%{_libdir}/girepository-1.0/GrlPls-0.2.typelib
%{_mandir}/man1/grilo-test-ui-0.2.1*
%{_mandir}/man1/grl-inspect-0.2.1*
%{_mandir}/man1/grl-launch-0.2.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgrilo-0.2.so
%attr(755,root,root) %{_libdir}/libgrlnet-0.2.so
%attr(755,root,root) %{_libdir}/libgrlpls-0.2.so
%{_includedir}/grilo-0.2
%{_pkgconfigdir}/grilo-0.2.pc
%{_pkgconfigdir}/grilo-net-0.2.pc
%{_pkgconfigdir}/grilo-pls-0.2.pc
%{_datadir}/gir-1.0/Grl-0.2.gir
%{_datadir}/gir-1.0/GrlNet-0.2.gir
%{_datadir}/gir-1.0/GrlPls-0.2.gir

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgrilo-0.2.a
%{_libdir}/libgrlnet-0.2.a
%{_libdir}/libgrlpls-0.2.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/grilo
%endif

%if %{with vala}
%files -n vala-grilo
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/grilo-0.2.deps
%{_datadir}/vala/vapi/grilo-0.2.vapi
%{_datadir}/vala/vapi/grilo-net-0.2.deps
%{_datadir}/vala/vapi/grilo-net-0.2.vapi
%endif
%changelog
* Tue Oct 20 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/grilo.git;a=log;h=master

* Mon Oct 19 2015 Jakub Bogusz <qboosh@pld-linux.org> a000cba
- updated to 0.2.14

* Fri Mar 27 2015 Łukasz Kieś <kiesiu@pld-linux.org> 1845564
- updated to 0.2.12

* Sun Aug 31 2014 Jakub Bogusz <qboosh@pld-linux.org> d18ac1f
- updated to 0.2.11

* Sat Mar 22 2014 Jakub Bogusz <qboosh@pld-linux.org> 6b584ed
- updated to 0.2.10

* Mon Mar 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 046d961
- updated to 0.2.9

* Sat Feb 15 2014 Jakub Bogusz <qboosh@pld-linux.org> 7a98ae0
- updated to 0.2.8

* Fri Sep 20 2013 Jakub Bogusz <qboosh@pld-linux.org> cedd540
- updated to 0.2.7

* Thu Aug 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 8758776
- BR: intltool, liboauth-devel

* Fri Aug 02 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 1479745
- Update to 0.2.6

* Wed Mar 20 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 96fde2e
- Update to 0.2.5

* Tue Mar 19 2013 Łukasz Kieś <kiesiu@pld-linux.org> b7b9ceb
- updated to 0.2.4
- added patch to build with automake 1.13

* Tue Mar 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 3ce5f3a
- added sh patch (kills bashism in configure)

* Thu Nov 29 2012 Jakub Bogusz <qboosh@pld-linux.org> b389ca4
- pl, completed dependencies

* Sun Nov 18 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 54b344e
- Update to 0.2.3

* Tue Oct 09 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 26be7b7
- Updated to 0.2.2

* Mon Oct 08 2012 Marcin Banasiak <marcin.banasiak@gmail.com> ad8c2e5
- Updated to 0.2.1

* Mon Oct 01 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 68cfda8
- Updated to 0.2.0

* Sun Aug 12 2012 Łukasz Kieś <kiesiu@pld-linux.org> cd4c216
- updated to 0.1.20
- added vala- subpackage for Vala API

* Thu May 31 2012 Łukasz Kieś <kiesiu@pld-linux.org> 545c8ca
- obsoleted

* Thu May 31 2012 Łukasz Kieś <kiesiu@pld-linux.org> b405842
- updated to 0.1.19
- vala patch is obsoleted

